## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Summary:            Advanced IP routing and network device configuration tools
Name:               iproute
Version:            6.8.0
Release:            %autorelease
URL:                https://kernel.org/pub/linux/utils/net/%{name}2/
Source0:            https://kernel.org/pub/linux/utils/net/%{name}2/%{name}2-%{version}.tar.xz


License:            GPL-2.0-or-later AND NIST-PD
BuildRequires:      bison
BuildRequires:      elfutils-libelf-devel
BuildRequires:      flex
BuildRequires:      gcc
BuildRequires:      iptables-devel >= 1.4.5
BuildRequires:      libbpf-devel
BuildRequires:      libcap-devel
BuildRequires:      libmnl-devel
BuildRequires:      libselinux-devel
BuildRequires:      make
BuildRequires:      pkgconfig
%if ! 0%{?_module_build}
%if 0%{?fedora}
BuildRequires:      linux-atm-libs-devel
%endif
%endif
Requires:           libbpf
Requires:           psmisc

# Compat symlinks for Requires in other packages.
Provides:           /sbin/ip
%if "%{_sbindir}" == "%{_bindir}"
# We rely on filesystem to create the symlink for us.
Requires:           filesystem(unmerged-sbin-symlinks)
Provides:           /usr/sbin/ip
Provides:           /usr/sbin/ss
%endif

%description
The iproute package contains networking utilities (ip and rtmon, for example)
which are designed to use the advanced networking capabilities of the Linux
kernel.

%package tc
Summary:            Linux Traffic Control utility
License:            GPL-2.0-or-later
Requires:           %{name}%{?_isa} = %{version}-%{release}
Provides:           /sbin/tc

%description tc
The Traffic Control utility manages queueing disciplines, their classes and
attached filters and actions. It is the standard tool to configure QoS in
Linux.

%if ! 0%{?_module_build}
%package doc
Summary:            Documentation for iproute2 utilities with examples
License:            GPL-2.0-or-later
Requires:           %{name} = %{version}-%{release}

%description doc
The iproute documentation contains howtos and examples of settings.
%endif

%package devel
Summary:            iproute development files
License:            GPL-2.0-or-later
Requires:           %{name} = %{version}-%{release}
Provides:           iproute-static = %{version}-%{release}

%description devel
The libnetlink static library.

%prep
%autosetup -p1 -n %{name}2-%{version}

%build
%configure --color auto
echo -e "\nSBINDIR=%{_sbindir}" >> config.mk
%make_build

%install
%make_install

echo '.so man8/tc-cbq.8' > %{buildroot}%{_mandir}/man8/cbq.8

# libnetlink
install -D -m644 include/libnetlink.h %{buildroot}%{_includedir}/libnetlink.h
install -D -m644 lib/libnetlink.a %{buildroot}%{_libdir}/libnetlink.a

# drop these files, iproute-doc package extracts files directly from _builddir
rm -rf '%{buildroot}%{_docdir}'

# append deprecated values to rt_dsfield for compatibility reasons
%if 0%{?rhel} && ! 0%{?eln}
cat %{SOURCE1} >>%{buildroot}%{_datadir}/iproute2/rt_dsfield
%endif

%files
%dir %{_datadir}/iproute2
%license COPYING
%doc README README.devel
%{_mandir}/man7/*
%exclude %{_mandir}/man7/tc-*
%{_mandir}/man8/*
%exclude %{_mandir}/man8/tc*
%exclude %{_mandir}/man8/cbq*
%attr(644,root,root) %config(noreplace) %{_datadir}/iproute2/*
%{_sbindir}/*
%exclude %{_sbindir}/tc
%exclude %{_sbindir}/routel
%{_datadir}/bash-completion/completions/devlink

%files tc
%license COPYING
%{_mandir}/man7/tc-*
%{_mandir}/man8/tc*
%{_mandir}/man8/cbq*
%dir %{_libdir}/tc/
%{_libdir}/tc/*
%{_sbindir}/tc
%{_datadir}/bash-completion/completions/tc

%if ! 0%{?_module_build}
%files doc
%license COPYING
%doc examples
%endif

%files devel
%license COPYING
%{_mandir}/man3/*
%{_libdir}/libnetlink.a
%{_includedir}/libnetlink.h
%{_includedir}/iproute2/bpf_elf.h

%changelog
## START: Generated by rpmautospec
* Sun Apr 14 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.8.0-2
- Add compat sbin Provides

* Tue Mar 12 2024 Andrea Claudi <aclaudi@redhat.com> - 6.8.0-1
- iproute-6.8.0-1.f41

* Fri Feb 09 2024 Andrea Claudi <aclaudi@redhat.com> - 6.7.0-1
- iproute-6.7.0-1.f40

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 20 2023 Andrea Claudi <aclaudi@redhat.com> - 6.5.0-1
- iproute-6.5.0-1.f40

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Andrea Claudi <aclaudi@redhat.com> - 6.4.0-1
- iproute-6.4.0-1.f39

* Sun Apr 30 2023 Andrea Claudi <aclaudi@redhat.com> - 6.3.0-1
- iproute-6.3.0-1.f39

* Wed Apr 26 2023 Andrea Claudi <aclaudi@redhat.com> - 6.2.0-1
- iproute-6.2.0-1.f39

* Mon Feb 20 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 6.1.0-2
- Fix flatpak build

* Fri Jan 27 2023 Andrea Claudi <aclaudi@redhat.com> - 6.1.0-1
- iproute-6.1.0-1

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 28 2022 Jiri Olsa <jolsa@kernel.org> - 6.0.0-2
- libbpf 1.0 support

* Thu Oct 06 2022 Andrea Claudi <aclaudi@redhat.com> - 6.0.0-1
- iproute-6.0.0-1

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Andrea Claudi <aclaudi@redhat.com> - 5.18.0-1
- iproute-5.18.0-1

* Wed Mar 30 2022 Andrea Claudi <aclaudi@redhat.com> - 5.17.0-2
- iproute-5.17.0-2

* Wed Mar 23 2022 Andrea Claudi <aclaudi@redhat.com> - 5.17.0-1
- iproute-5.17.0-1

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 04 2021 Andrea Claudi <aclaudi@redhat.com> - 5.15.0-1
- iproute-5.15.0-1

* Wed Oct 20 2021 Andrea Claudi <aclaudi@redhat.com> - 5.14.0-1
- iproute-5.14.0-1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 30 2021 Andrea Claudi <aclaudi@redhat.com> - 5.13.0-1
- Rebase package on top of iproute2-5.13.0

* Tue Apr 27 2021 Andrea Claudi <aclaudi@redhat.com> - 5.12.0-1
- Rebase package on top of iproute2-5.12.0

* Fri Feb 26 2021 Andrea Claudi <aclaudi@redhat.com> - 5.11.0-1
- Rebase package on top of iproute2-5.11.0

* Fri Feb 26 2021 Robert Scheck <robert@fedoraproject.org> - 5.10.0-4
- Spec file cleanup

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 05 2021 Tom Stellard <tstellar@redhat.com> - 5.10.0-2
- Add BuildRequires: make

* Mon Dec 21 2020 Andrea Claudi <aclaudi@redhat.com> - 5.10.0-1
- Rebase package on top of iproute2-5.10.0

* Fri Dec 04 2020 Andrea Claudi <aclaudi@redhat.com> - 5.9.0-1
- Rebase package on top of iproute2-5.9.0

* Fri Dec 04 2020 Andrea Claudi <aclaudi@redhat.com> - 5.8.0-4
- Add Provides: iproute-doc

* Wed Dec 02 2020 Andrea Claudi <aclaudi@redhat.com> - 5.8.0-3
- Fix rpmlint warn unversioned-explicit-provides on tc

* Wed Dec 02 2020 Andrea Claudi <aclaudi@redhat.com> - 5.8.0-2
- Use rpm configure/build/install rpm macros

* Mon Aug 10 2020 Phil Sutter <psutter@redhat.com> - 5.8.0-1
- Rebase package on top of iproute2-5.8.0

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 04 2020 Phil Sutter <psutter@redhat.com> - 5.7.0-1
- Rebase package on top of iproute2-5.7.0

* Tue Jan 28 2020 Phil Sutter <psutter@redhat.com> - 5.5.0-1
- Rebase package on top of iproute2-5.5.0

* Tue Nov 26 2019 Phil Sutter <psutter@redhat.com> - 5.4.0-1
- Rebase package on top of iproute2-5.4.0

* Tue Oct 08 2019 Phil Sutter <psutter@redhat.com> - 5.3.0-3
- iproute-5.3.0-2
- ifcfg script uses killall, therefore requires psmisc package

* Tue Oct 08 2019 Ondřej Lysoněk <olysonek@redhat.com> - 5.3.0-2
- Add a dependency on psmisc

* Thu Sep 26 2019 Phil Sutter <psutter@redhat.com> - 5.3.0-1
- Rebase package on top of iproute2-5.3.0

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 23 2019 Phil Sutter <psutter@redhat.com> - 5.2.0-1
- Rebase package on top of iproute2-5.2.0

* Wed May 29 2019 Phil Sutter <psutter@redhat.com> - 5.1.0-1
- Rebase package on top of iproute2-5.1.0

* Wed Mar 20 2019 Phil Sutter <psutter@redhat.com> - 5.0.0-2
- Restore Provides: /sbin/ip

* Wed Mar 20 2019 Phil Sutter <psutter@redhat.com> - 5.0.0-1
- Rebase package on top of iproute2-5.0.0

* Fri Feb 01 2019 Phil Sutter <psutter@redhat.com> - 4.20.0-1
- Rebase package on top of iproute2-4.20.0

* Fri Feb 01 2019 Phil Sutter <psutter@redhat.com> - 4.20.04.20.0-1
- Rebase package on top of iproute2-4.20.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.18.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.18.0-6
- Remove obsolete Group tag

* Wed Sep 19 2018 Phil Sutter <psutter@redhat.com> - 4.18.0-5
- man: ip-route: Clarify referenced versions are Linux ones

* Fri Aug 31 2018 Phil Sutter <psutter@redhat.com> - 4.18.0-4
- iprule: Fix destination prefix output

* Thu Aug 23 2018 Phil Sutter <psutter@redhat.com> - 4.18.0-3
- Make colored output configurable

* Thu Aug 16 2018 Phil Sutter <psutter@redhat.com> - 4.18.0-2
- Fix ss filter expressions

* Tue Aug 14 2018 Phil Sutter <psutter@redhat.com> - 4.18.0-1
- Rebase package on top of iproute2-4.18.0

* Thu Aug 02 2018 Susant Sahani <susant@redhat.com> - 4.17.0-14
- CI: Add ip neighbour to test

* Tue Jul 31 2018 Susant Sahani <susant@redhat.com> - 4.17.0-13
- CI: Add ip route to test

* Tue Jul 31 2018 Susant Sahani <susant@redhat.com> - 4.17.0-12
- CI: Add netns to test

* Mon Jul 30 2018 Susant Sahani <susant@redhat.com> - 4.17.0-11
- CI: Add l2tp to test

* Tue Jul 24 2018 Susant Sahani <susant@redhat.com> - 4.17.0-10
- CI: Add ip tunnel to test

* Tue Jul 24 2018 Susant Sahani <susant@redhat.com> - 4.17.0-9
- CI: Add tuntap to test

* Tue Jul 24 2018 Susant Sahani <susant@redhat.com> - 4.17.0-8
- CI: Add ip token to test

* Tue Jul 24 2018 Susant Sahani <susant@redhat.com> - 4.17.0-7
- CI: Add FOU to test.

* Mon Jul 23 2018 Susant Sahani <susant@redhat.com> - 4.17.0-6
- CI: Add ip addrlabel to test

* Wed Jul 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.17.0-5
- add BuildRequires: gcc

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.17.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 24 2018 Susant Sahani <susant@redhat.com> - 4.17.0-3
- CI: Add ip address sanity tests

* Sun Jun 17 2018 Susant Sahani <susant@redhat.com> - 4.17.0-2
- CI: Add ip link kind and set dev tests

* Tue Jun 12 2018 Phil Sutter <psutter@redhat.com> - 4.17.0-1
- Rebase package on top of iproute2-4.17.0

* Fri Jun 01 2018 Phil Sutter <psutter@redhat.com> - 4.16.0-1
- Rebase package on top of iproute2-4.16.0

* Fri Feb 09 2018 Phil Sutter <psutter@redhat.com> - 4.15.0-1
- Rebase package on top of iproute2-4.15.0

* Fri Feb 09 2018 Florian Weimer <fweimer@redhat.com> - 4.14.1-7
- Use LDFLAGS defaults from redhat-rpm-config

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.14.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Phil Sutter <psutter@fedoraproject.org> - 4.14.1-5
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
